# encoding: utf-8
# Code generated by Microsoft (R) AutoRest Code Generator.
# Changes may cause incorrect behavior and will be lost if the code is
# regenerated.

module Azure::DataFactory::Mgmt::V2018_06_01
  module Models
    #
    # Azure Data Explorer (Kusto) linked service.
    #
    class AzureDataExplorerLinkedService < LinkedService

      include MsRestAzure


      def initialize
        @type = "AzureDataExplorer"
      end

      attr_accessor :type

      # @return The endpoint of Azure Data Explorer (the engine's endpoint).
      # URL will be in the format
      # https://<clusterName>.<regionName>.kusto.windows.net. Type: string (or
      # Expression with resultType string)
      attr_accessor :endpoint

      # @return The ID of the service principal used to authenticate against
      # Azure Data Explorer. Type: string (or Expression with resultType
      # string).
      attr_accessor :service_principal_id

      # @return [SecretBase] The key of the service principal used to
      # authenticate against Kusto.
      attr_accessor :service_principal_key

      # @return Database name for connection. Type: string (or Expression with
      # resultType string).
      attr_accessor :database

      # @return The name or ID of the tenant to which the service principal
      # belongs. Type: string (or Expression with resultType string).
      attr_accessor :tenant


      #
      # Mapper for AzureDataExplorerLinkedService class as Ruby Hash.
      # This will be used for serialization/deserialization.
      #
      def self.mapper()
        {
          client_side_validation: true,
          required: false,
          serialized_name: 'AzureDataExplorer',
          type: {
            name: 'Composite',
            class_name: 'AzureDataExplorerLinkedService',
            model_properties: {
              additional_properties: {
                client_side_validation: true,
                required: false,
                type: {
                  name: 'Dictionary',
                  value: {
                      client_side_validation: true,
                      required: false,
                      serialized_name: 'ObjectElementType',
                      type: {
                        name: 'Object'
                      }
                  }
                }
              },
              connect_via: {
                client_side_validation: true,
                required: false,
                serialized_name: 'connectVia',
                type: {
                  name: 'Composite',
                  class_name: 'IntegrationRuntimeReference'
                }
              },
              description: {
                client_side_validation: true,
                required: false,
                serialized_name: 'description',
                type: {
                  name: 'String'
                }
              },
              parameters: {
                client_side_validation: true,
                required: false,
                serialized_name: 'parameters',
                type: {
                  name: 'Dictionary',
                  value: {
                      client_side_validation: true,
                      required: false,
                      serialized_name: 'ParameterSpecificationElementType',
                      type: {
                        name: 'Composite',
                        class_name: 'ParameterSpecification'
                      }
                  }
                }
              },
              annotations: {
                client_side_validation: true,
                required: false,
                serialized_name: 'annotations',
                type: {
                  name: 'Sequence',
                  element: {
                      client_side_validation: true,
                      required: false,
                      serialized_name: 'ObjectElementType',
                      type: {
                        name: 'Object'
                      }
                  }
                }
              },
              type: {
                client_side_validation: true,
                required: true,
                serialized_name: 'type',
                type: {
                  name: 'String'
                }
              },
              endpoint: {
                client_side_validation: true,
                required: true,
                serialized_name: 'typeProperties.endpoint',
                type: {
                  name: 'Object'
                }
              },
              service_principal_id: {
                client_side_validation: true,
                required: true,
                serialized_name: 'typeProperties.servicePrincipalId',
                type: {
                  name: 'Object'
                }
              },
              service_principal_key: {
                client_side_validation: true,
                required: true,
                serialized_name: 'typeProperties.servicePrincipalKey',
                type: {
                  name: 'Composite',
                  polymorphic_discriminator: 'type',
                  uber_parent: 'SecretBase',
                  class_name: 'SecretBase'
                }
              },
              database: {
                client_side_validation: true,
                required: true,
                serialized_name: 'typeProperties.database',
                type: {
                  name: 'Object'
                }
              },
              tenant: {
                client_side_validation: true,
                required: true,
                serialized_name: 'typeProperties.tenant',
                type: {
                  name: 'Object'
                }
              }
            }
          }
        }
      end
    end
  end
end
