# encoding: utf-8
# Code generated by Microsoft (R) AutoRest Code Generator.
# Changes may cause incorrect behavior and will be lost if the code is
# regenerated.

module Azure::DataFactory::Mgmt::V2018_06_01
  module Models
    #
    # Azure Databricks Delta Lake linked service.
    #
    class AzureDatabricksDeltaLakeLinkedService < LinkedService

      include MsRestAzure


      def initialize
        @type = "AzureDatabricksDeltaLake"
      end

      attr_accessor :type

      # @return <REGION>.azuredatabricks.net, domain name of your Databricks
      # deployment. Type: string (or Expression with resultType string).
      attr_accessor :domain

      # @return [SecretBase] Access token for databricks REST API. Refer to
      # https://docs.azuredatabricks.net/api/latest/authentication.html. Type:
      # string, SecureString or AzureKeyVaultSecretReference.
      attr_accessor :access_token

      # @return The id of an existing interactive cluster that will be used for
      # all runs of this job. Type: string (or Expression with resultType
      # string).
      attr_accessor :cluster_id

      # @return The encrypted credential used for authentication. Credentials
      # are encrypted using the integration runtime credential manager. Type:
      # string (or Expression with resultType string).
      attr_accessor :encrypted_credential


      #
      # Mapper for AzureDatabricksDeltaLakeLinkedService class as Ruby Hash.
      # This will be used for serialization/deserialization.
      #
      def self.mapper()
        {
          client_side_validation: true,
          required: false,
          serialized_name: 'AzureDatabricksDeltaLake',
          type: {
            name: 'Composite',
            class_name: 'AzureDatabricksDeltaLakeLinkedService',
            model_properties: {
              additional_properties: {
                client_side_validation: true,
                required: false,
                type: {
                  name: 'Dictionary',
                  value: {
                      client_side_validation: true,
                      required: false,
                      serialized_name: 'ObjectElementType',
                      type: {
                        name: 'Object'
                      }
                  }
                }
              },
              connect_via: {
                client_side_validation: true,
                required: false,
                serialized_name: 'connectVia',
                type: {
                  name: 'Composite',
                  class_name: 'IntegrationRuntimeReference'
                }
              },
              description: {
                client_side_validation: true,
                required: false,
                serialized_name: 'description',
                type: {
                  name: 'String'
                }
              },
              parameters: {
                client_side_validation: true,
                required: false,
                serialized_name: 'parameters',
                type: {
                  name: 'Dictionary',
                  value: {
                      client_side_validation: true,
                      required: false,
                      serialized_name: 'ParameterSpecificationElementType',
                      type: {
                        name: 'Composite',
                        class_name: 'ParameterSpecification'
                      }
                  }
                }
              },
              annotations: {
                client_side_validation: true,
                required: false,
                serialized_name: 'annotations',
                type: {
                  name: 'Sequence',
                  element: {
                      client_side_validation: true,
                      required: false,
                      serialized_name: 'ObjectElementType',
                      type: {
                        name: 'Object'
                      }
                  }
                }
              },
              type: {
                client_side_validation: true,
                required: true,
                serialized_name: 'type',
                type: {
                  name: 'String'
                }
              },
              domain: {
                client_side_validation: true,
                required: true,
                serialized_name: 'typeProperties.domain',
                type: {
                  name: 'Object'
                }
              },
              access_token: {
                client_side_validation: true,
                required: false,
                serialized_name: 'typeProperties.accessToken',
                type: {
                  name: 'Composite',
                  polymorphic_discriminator: 'type',
                  uber_parent: 'SecretBase',
                  class_name: 'SecretBase'
                }
              },
              cluster_id: {
                client_side_validation: true,
                required: false,
                serialized_name: 'typeProperties.clusterId',
                type: {
                  name: 'Object'
                }
              },
              encrypted_credential: {
                client_side_validation: true,
                required: false,
                serialized_name: 'typeProperties.encryptedCredential',
                type: {
                  name: 'Object'
                }
              }
            }
          }
        }
      end
    end
  end
end
