# encoding: utf-8
# Code generated by Microsoft (R) AutoRest Code Generator.
# Changes may cause incorrect behavior and will be lost if the code is
# regenerated.

module Azure::DataFactory::Mgmt::V2018_06_01
  module Models
    #
    # Azure ML Update Resource management activity.
    #
    class AzureMLUpdateResourceActivity < ExecutionActivity

      include MsRestAzure


      def initialize
        @type = "AzureMLUpdateResource"
      end

      attr_accessor :type

      # @return Name of the Trained Model module in the Web Service experiment
      # to be updated. Type: string (or Expression with resultType string).
      attr_accessor :trained_model_name

      # @return [LinkedServiceReference] Name of Azure Storage linked service
      # holding the .ilearner file that will be uploaded by the update
      # operation.
      attr_accessor :trained_model_linked_service_name

      # @return The relative file path in trainedModelLinkedService to
      # represent the .ilearner file that will be uploaded by the update
      # operation.  Type: string (or Expression with resultType string).
      attr_accessor :trained_model_file_path


      #
      # Mapper for AzureMLUpdateResourceActivity class as Ruby Hash.
      # This will be used for serialization/deserialization.
      #
      def self.mapper()
        {
          client_side_validation: true,
          required: false,
          serialized_name: 'AzureMLUpdateResource',
          type: {
            name: 'Composite',
            class_name: 'AzureMLUpdateResourceActivity',
            model_properties: {
              additional_properties: {
                client_side_validation: true,
                required: false,
                type: {
                  name: 'Dictionary',
                  value: {
                      client_side_validation: true,
                      required: false,
                      serialized_name: 'ObjectElementType',
                      type: {
                        name: 'Object'
                      }
                  }
                }
              },
              name: {
                client_side_validation: true,
                required: true,
                serialized_name: 'name',
                type: {
                  name: 'String'
                }
              },
              description: {
                client_side_validation: true,
                required: false,
                serialized_name: 'description',
                type: {
                  name: 'String'
                }
              },
              depends_on: {
                client_side_validation: true,
                required: false,
                serialized_name: 'dependsOn',
                type: {
                  name: 'Sequence',
                  element: {
                      client_side_validation: true,
                      required: false,
                      serialized_name: 'ActivityDependencyElementType',
                      type: {
                        name: 'Composite',
                        class_name: 'ActivityDependency'
                      }
                  }
                }
              },
              user_properties: {
                client_side_validation: true,
                required: false,
                serialized_name: 'userProperties',
                type: {
                  name: 'Sequence',
                  element: {
                      client_side_validation: true,
                      required: false,
                      serialized_name: 'UserPropertyElementType',
                      type: {
                        name: 'Composite',
                        class_name: 'UserProperty'
                      }
                  }
                }
              },
              type: {
                client_side_validation: true,
                required: true,
                serialized_name: 'type',
                type: {
                  name: 'String'
                }
              },
              linked_service_name: {
                client_side_validation: true,
                required: false,
                serialized_name: 'linkedServiceName',
                type: {
                  name: 'Composite',
                  class_name: 'LinkedServiceReference'
                }
              },
              policy: {
                client_side_validation: true,
                required: false,
                serialized_name: 'policy',
                type: {
                  name: 'Composite',
                  class_name: 'ActivityPolicy'
                }
              },
              trained_model_name: {
                client_side_validation: true,
                required: true,
                serialized_name: 'typeProperties.trainedModelName',
                type: {
                  name: 'Object'
                }
              },
              trained_model_linked_service_name: {
                client_side_validation: true,
                required: true,
                serialized_name: 'typeProperties.trainedModelLinkedServiceName',
                default_value: {},
                type: {
                  name: 'Composite',
                  class_name: 'LinkedServiceReference'
                }
              },
              trained_model_file_path: {
                client_side_validation: true,
                required: true,
                serialized_name: 'typeProperties.trainedModelFilePath',
                type: {
                  name: 'Object'
                }
              }
            }
          }
        }
      end
    end
  end
end
