# encoding: utf-8
# Code generated by Microsoft (R) AutoRest Code Generator.
# Changes may cause incorrect behavior and will be lost if the code is
# regenerated.

module Azure::DataFactory::Mgmt::V2018_06_01
  module Models
    #
    # The settings that will be leveraged for Oracle source partitioning.
    #
    class OraclePartitionSettings

      include MsRestAzure

      # @return Names of the physical partitions of Oracle table.
      attr_accessor :partition_names

      # @return The name of the column in integer type that will be used for
      # proceeding range partitioning. Type: string (or Expression with
      # resultType string).
      attr_accessor :partition_column_name

      # @return The maximum value of column specified in partitionColumnName
      # that will be used for proceeding range partitioning. Type: string (or
      # Expression with resultType string).
      attr_accessor :partition_upper_bound

      # @return The minimum value of column specified in partitionColumnName
      # that will be used for proceeding range partitioning. Type: string (or
      # Expression with resultType string).
      attr_accessor :partition_lower_bound


      #
      # Mapper for OraclePartitionSettings class as Ruby Hash.
      # This will be used for serialization/deserialization.
      #
      def self.mapper()
        {
          client_side_validation: true,
          required: false,
          serialized_name: 'OraclePartitionSettings',
          type: {
            name: 'Composite',
            class_name: 'OraclePartitionSettings',
            model_properties: {
              partition_names: {
                client_side_validation: true,
                required: false,
                serialized_name: 'partitionNames',
                type: {
                  name: 'Object'
                }
              },
              partition_column_name: {
                client_side_validation: true,
                required: false,
                serialized_name: 'partitionColumnName',
                type: {
                  name: 'Object'
                }
              },
              partition_upper_bound: {
                client_side_validation: true,
                required: false,
                serialized_name: 'partitionUpperBound',
                type: {
                  name: 'Object'
                }
              },
              partition_lower_bound: {
                client_side_validation: true,
                required: false,
                serialized_name: 'partitionLowerBound',
                type: {
                  name: 'Object'
                }
              }
            }
          }
        }
      end
    end
  end
end
