# encoding: utf-8
# Code generated by Microsoft (R) AutoRest Code Generator.
# Changes may cause incorrect behavior and will be lost if the code is
# regenerated.

module Azure::DataFactory::Mgmt::V2018_06_01
  module Models
    #
    # Pipeline resource type.
    #
    class PipelineResource < SubResource

      include MsRestAzure

      # @return Unmatched properties from the message are deserialized this
      # collection
      attr_accessor :additional_properties

      # @return [String] The description of the pipeline.
      attr_accessor :description

      # @return [Array<Activity>] List of activities in pipeline.
      attr_accessor :activities

      # @return [Hash{String => ParameterSpecification}] List of parameters for
      # pipeline.
      attr_accessor :parameters

      # @return [Hash{String => VariableSpecification}] List of variables for
      # pipeline.
      attr_accessor :variables

      # @return [Integer] The max number of concurrent runs for the pipeline.
      attr_accessor :concurrency

      # @return List of tags that can be used for describing the Pipeline.
      attr_accessor :annotations

      # @return Dimensions emitted by Pipeline.
      attr_accessor :run_dimensions

      # @return [PipelineFolder] The folder that this Pipeline is in. If not
      # specified, Pipeline will appear at the root level.
      attr_accessor :folder

      # @return [PipelinePolicy]
      attr_accessor :policy


      #
      # Mapper for PipelineResource class as Ruby Hash.
      # This will be used for serialization/deserialization.
      #
      def self.mapper()
        {
          client_side_validation: true,
          required: false,
          serialized_name: 'PipelineResource',
          type: {
            name: 'Composite',
            class_name: 'PipelineResource',
            model_properties: {
              id: {
                client_side_validation: true,
                required: false,
                read_only: true,
                serialized_name: 'id',
                type: {
                  name: 'String'
                }
              },
              name: {
                client_side_validation: true,
                required: false,
                read_only: true,
                serialized_name: 'name',
                type: {
                  name: 'String'
                }
              },
              type: {
                client_side_validation: true,
                required: false,
                read_only: true,
                serialized_name: 'type',
                type: {
                  name: 'String'
                }
              },
              etag: {
                client_side_validation: true,
                required: false,
                read_only: true,
                serialized_name: 'etag',
                type: {
                  name: 'String'
                }
              },
              additional_properties: {
                client_side_validation: true,
                required: false,
                type: {
                  name: 'Dictionary',
                  value: {
                      client_side_validation: true,
                      required: false,
                      serialized_name: 'ObjectElementType',
                      type: {
                        name: 'Object'
                      }
                  }
                }
              },
              description: {
                client_side_validation: true,
                required: false,
                serialized_name: 'properties.description',
                type: {
                  name: 'String'
                }
              },
              activities: {
                client_side_validation: true,
                required: false,
                serialized_name: 'properties.activities',
                type: {
                  name: 'Sequence',
                  element: {
                      client_side_validation: true,
                      required: false,
                      serialized_name: 'ActivityElementType',
                      type: {
                        name: 'Composite',
                        polymorphic_discriminator: 'type',
                        uber_parent: 'Activity',
                        class_name: 'Activity'
                      }
                  }
                }
              },
              parameters: {
                client_side_validation: true,
                required: false,
                serialized_name: 'properties.parameters',
                type: {
                  name: 'Dictionary',
                  value: {
                      client_side_validation: true,
                      required: false,
                      serialized_name: 'ParameterSpecificationElementType',
                      type: {
                        name: 'Composite',
                        class_name: 'ParameterSpecification'
                      }
                  }
                }
              },
              variables: {
                client_side_validation: true,
                required: false,
                serialized_name: 'properties.variables',
                type: {
                  name: 'Dictionary',
                  value: {
                      client_side_validation: true,
                      required: false,
                      serialized_name: 'VariableSpecificationElementType',
                      type: {
                        name: 'Composite',
                        class_name: 'VariableSpecification'
                      }
                  }
                }
              },
              concurrency: {
                client_side_validation: true,
                required: false,
                serialized_name: 'properties.concurrency',
                constraints: {
                  InclusiveMinimum: 1
                },
                type: {
                  name: 'Number'
                }
              },
              annotations: {
                client_side_validation: true,
                required: false,
                serialized_name: 'properties.annotations',
                type: {
                  name: 'Sequence',
                  element: {
                      client_side_validation: true,
                      required: false,
                      serialized_name: 'ObjectElementType',
                      type: {
                        name: 'Object'
                      }
                  }
                }
              },
              run_dimensions: {
                client_side_validation: true,
                required: false,
                serialized_name: 'properties.runDimensions',
                type: {
                  name: 'Dictionary',
                  value: {
                      client_side_validation: true,
                      required: false,
                      serialized_name: 'ObjectElementType',
                      type: {
                        name: 'Object'
                      }
                  }
                }
              },
              folder: {
                client_side_validation: true,
                required: false,
                serialized_name: 'properties.folder',
                type: {
                  name: 'Composite',
                  class_name: 'PipelineFolder'
                }
              },
              policy: {
                client_side_validation: true,
                required: false,
                serialized_name: 'properties.policy',
                type: {
                  name: 'Composite',
                  class_name: 'PipelinePolicy'
                }
              }
            }
          }
        }
      end
    end
  end
end
