# encoding: utf-8
# Code generated by Microsoft (R) AutoRest Code Generator.
# Changes may cause incorrect behavior and will be lost if the code is
# regenerated.

module Azure::DataFactory::Mgmt::V2018_06_01
  module Models
    #
    # Sap Business Warehouse Open Hub Destination Table properties.
    #
    class SapOpenHubTableDataset < Dataset

      include MsRestAzure


      def initialize
        @type = "SapOpenHubTable"
      end

      attr_accessor :type

      # @return The name of the Open Hub Destination with destination type as
      # Database Table. Type: string (or Expression with resultType string).
      attr_accessor :open_hub_destination_name

      # @return Whether to exclude the records of the last request. The default
      # value is true. Type: boolean (or Expression with resultType boolean).
      attr_accessor :exclude_last_request

      # @return The ID of request for delta loading. Once it is set, only data
      # with requestId larger than the value of this property will be
      # retrieved. The default value is 0. Type: integer (or Expression with
      # resultType integer ).
      attr_accessor :base_request_id


      #
      # Mapper for SapOpenHubTableDataset class as Ruby Hash.
      # This will be used for serialization/deserialization.
      #
      def self.mapper()
        {
          client_side_validation: true,
          required: false,
          serialized_name: 'SapOpenHubTable',
          type: {
            name: 'Composite',
            class_name: 'SapOpenHubTableDataset',
            model_properties: {
              additional_properties: {
                client_side_validation: true,
                required: false,
                type: {
                  name: 'Dictionary',
                  value: {
                      client_side_validation: true,
                      required: false,
                      serialized_name: 'ObjectElementType',
                      type: {
                        name: 'Object'
                      }
                  }
                }
              },
              description: {
                client_side_validation: true,
                required: false,
                serialized_name: 'description',
                type: {
                  name: 'String'
                }
              },
              structure: {
                client_side_validation: true,
                required: false,
                serialized_name: 'structure',
                type: {
                  name: 'Object'
                }
              },
              schema: {
                client_side_validation: true,
                required: false,
                serialized_name: 'schema',
                type: {
                  name: 'Object'
                }
              },
              linked_service_name: {
                client_side_validation: true,
                required: true,
                serialized_name: 'linkedServiceName',
                default_value: {},
                type: {
                  name: 'Composite',
                  class_name: 'LinkedServiceReference'
                }
              },
              parameters: {
                client_side_validation: true,
                required: false,
                serialized_name: 'parameters',
                type: {
                  name: 'Dictionary',
                  value: {
                      client_side_validation: true,
                      required: false,
                      serialized_name: 'ParameterSpecificationElementType',
                      type: {
                        name: 'Composite',
                        class_name: 'ParameterSpecification'
                      }
                  }
                }
              },
              annotations: {
                client_side_validation: true,
                required: false,
                serialized_name: 'annotations',
                type: {
                  name: 'Sequence',
                  element: {
                      client_side_validation: true,
                      required: false,
                      serialized_name: 'ObjectElementType',
                      type: {
                        name: 'Object'
                      }
                  }
                }
              },
              folder: {
                client_side_validation: true,
                required: false,
                serialized_name: 'folder',
                type: {
                  name: 'Composite',
                  class_name: 'DatasetFolder'
                }
              },
              type: {
                client_side_validation: true,
                required: true,
                serialized_name: 'type',
                type: {
                  name: 'String'
                }
              },
              open_hub_destination_name: {
                client_side_validation: true,
                required: true,
                serialized_name: 'typeProperties.openHubDestinationName',
                type: {
                  name: 'Object'
                }
              },
              exclude_last_request: {
                client_side_validation: true,
                required: false,
                serialized_name: 'typeProperties.excludeLastRequest',
                type: {
                  name: 'Object'
                }
              },
              base_request_id: {
                client_side_validation: true,
                required: false,
                serialized_name: 'typeProperties.baseRequestId',
                type: {
                  name: 'Object'
                }
              }
            }
          }
        }
      end
    end
  end
end
