# encoding: utf-8
# Code generated by Microsoft (R) AutoRest Code Generator.
# Changes may cause incorrect behavior and will be lost if the code is
# regenerated.

module Azure::DataFactory::Mgmt::V2018_06_01
  module Models
    #
    # A copy activity source for sharePoint online list source.
    #
    class SharePointOnlineListSource < CopySource

      include MsRestAzure


      def initialize
        @type = "SharePointOnlineListSource"
      end

      attr_accessor :type

      # @return The OData query to filter the data in SharePoint Online list.
      # For example, "$top=1". Type: string (or Expression with resultType
      # string).
      attr_accessor :query

      # @return The wait time to get a response from SharePoint Online. Default
      # value is 5 minutes (00:05:00). Type: string (or Expression with
      # resultType string), pattern:
      # ((\d+)\.)?(\d\d):(60|([0-5][0-9])):(60|([0-5][0-9])).
      attr_accessor :http_request_timeout


      #
      # Mapper for SharePointOnlineListSource class as Ruby Hash.
      # This will be used for serialization/deserialization.
      #
      def self.mapper()
        {
          client_side_validation: true,
          required: false,
          serialized_name: 'SharePointOnlineListSource',
          type: {
            name: 'Composite',
            class_name: 'SharePointOnlineListSource',
            model_properties: {
              additional_properties: {
                client_side_validation: true,
                required: false,
                type: {
                  name: 'Dictionary',
                  value: {
                      client_side_validation: true,
                      required: false,
                      serialized_name: 'ObjectElementType',
                      type: {
                        name: 'Object'
                      }
                  }
                }
              },
              source_retry_count: {
                client_side_validation: true,
                required: false,
                serialized_name: 'sourceRetryCount',
                type: {
                  name: 'Object'
                }
              },
              source_retry_wait: {
                client_side_validation: true,
                required: false,
                serialized_name: 'sourceRetryWait',
                type: {
                  name: 'Object'
                }
              },
              max_concurrent_connections: {
                client_side_validation: true,
                required: false,
                serialized_name: 'maxConcurrentConnections',
                type: {
                  name: 'Object'
                }
              },
              type: {
                client_side_validation: true,
                required: true,
                serialized_name: 'type',
                type: {
                  name: 'String'
                }
              },
              query: {
                client_side_validation: true,
                required: false,
                serialized_name: 'query',
                type: {
                  name: 'Object'
                }
              },
              http_request_timeout: {
                client_side_validation: true,
                required: false,
                serialized_name: 'httpRequestTimeout',
                type: {
                  name: 'Object'
                }
              }
            }
          }
        }
      end
    end
  end
end
